|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QPlastiqueStyle Class Reference
[QtGui module]

The QPlastiqueStyle class provides a widget style similar to the Plastik style available in KDE. More...

    #include <QPlastiqueStyle>

Inherits QWindowsStyle.

- List of all members, including inherited members

### Public Functions

- QPlastiqueStyle ()
- ~QPlastiqueStyle ()

- 21 public functions inherited from QStyle
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QPlastiqueStyle class provides a widget style similar to the Plastik style available in KDE.

The Plastique style provides a default look and feel for widgets on X11 that closely resembles the Plastik style, introduced by Sandro Giessl in KDE 3.2.

See also QWindowsXPStyle, QMacStyle, QWindowsStyle, QCDEStyle, and QMotifStyle.

## Member Function Documentation

### QPlastiqueStyle::QPlastiqueStyle ()

Constructs a QPlastiqueStyle object.

### QPlastiqueStyle::~QPlastiqueStyle ()

Destructs the QPlastiqueStyle object.